@echo off
cls
echo KMS registration for Windows Vista, Windows 7 and Office 2010
echo.
echo If this fails ensure the PC Date/Time is correct.
echo A list of error codes can be found at
echo http://technet.microsoft.com/en-us/windowsvista/bb286760.aspx
echo .
echo .


REM Vista and Windows 7 KMS registration
if not exist c:\windows\system32\slmgr.vbs goto notvista7

echo Windows KMS
Cscript c:\windows\system32\slmgr.vbs -skms ap24.kh.edu.tw:1688

Cscript c:\windows\system32\slmgr.vbs -ato

:notvista7




REM Office 2010 registration

REM check for Office 2010 on 32bit windows
if not exist "%programfiles%\microsoft office\office14\ospp.vbs" goto nooffice32

echo Office 2010

cscript "%programfiles%\microsoft office\office14\ospp.vbs" /osppsvcrestart

cscript "%programfiles%\microsoft office\office14\ospp.vbs" /sethst:ap24.kh.edu.tw

cscript "%programfiles%\microsoft office\office14\ospp.vbs" /act

:nooffice32



REM check for office 2010 on 64bit windows

if not exist "%programfiles(x86)%\microsoft office\office14\ospp.vbs" goto nooffice64

echo Office 2010

cscript "%programfiles(x86)%\microsoft office\office14\ospp.vbs" /osppsvcrestart

cscript "%programfiles(x86)%\microsoft office\office14\ospp.vbs" /sethst:ap24.kh.edu.tw

cscript "%programfiles(x86)%\microsoft office\office14\ospp.vbs" /act

:nooffice64